module Destiny
  module Role

    def to_hash
      data.to_hash
    end

    def grant(section_name, privilege)
      data[section_name] ||= {}
      data[section_name][privilege] = true
    end

    def revoke(section_name, privilege)
      if data.key? section_name
        data[section_name].delete(privilege) if data[section_name].key? privilege
        data.delete(section_name) if data[section_name].empty?
      end
    end

  end
end
